:
# Start ELinOS session
#
# Automatically created on Don Nov 28 18:31:59 CET 2002

# --- Configuration Settings ------------------------------------------
ELINOS_PREFIX="/opt/elinos"
export ELINOS_PREFIX
ELINOS_PROJECT="/home/gott/elinos-test/750nfs"
export ELINOS_PROJECT
ELINOS_BOARD="bab750"
export ELINOS_BOARD
ELINOS_CPU="ppc"
export ELINOS_CPU
ELINOS_ARCH="60x"
export ELINOS_ARCH
ELINOS_LIBC="libc6"
export ELINOS_LIBC
ELINOS_DOSNAME="750nfs"
export ELINOS_DOSNAME
ELINOS_BOOT_STRAT="ppcboot_multi"
export ELINOS_BOOT_STRAT
ELINOS_CDK="/opt/elinos/cdk/ppc/60x/libc6"
export ELINOS_CDK
ELINOS_BIN_PREFIX="ppc_60x"
export ELINOS_BIN_PREFIX
ELINOS_TARGET="powerpc-linux"
export ELINOS_TARGET
LINUX_ARCH="ppc"
export LINUX_ARCH
ELINOS_KERNELCONFIG="bab750_config"
export ELINOS_KERNELCONFIG
ELINOS_VERSION="2.1"
export ELINOS_VERSION
LIST_BOOTSTRATS="ppcboot ppcboot_multi"
export LIST_BOOTSTRATS
MKIMAGE_LOAD_ADDRESS="00000000"
export MKIMAGE_LOAD_ADDRESS
MKIMAGE_ENTRY_ADDRESS="00000000"
export MKIMAGE_ENTRY_ADDRESS
AS="ppc_60x-as"
export AS
AR="ppc_60x-ar"
export AR
NM="ppc_60x-nm"
export NM
LD="ppc_60x-ld"
export LD
RANLIB="ppc_60x-ranlib"
export RANLIB
STRIPTOOL="ppc_60x-strip"
export STRIPTOOL
CC="ppc_60x-gcc"
export CC
CXX="ppc_60x-g++"
export CXX
GDB="ppc_60x-gdb"
export GDB
# --- Configuration Settings End --------------------------------------

echo "STARTING ELINOS SESSION"
echo "======================="
echo

# addpath {env-variable} {new-path-element}
addpath()
{
    eval "_X=\"\${$1:-}\""
    if [ -n "$_X" ]; then
        if [ -z "`echo $_X | grep $2`" ]; then
            eval "$1=\"$2:$_X\""
        fi
    else
        eval "$1=\"$2\""
    fi
}

addpath "PATH" "${ELINOS_CDK}/bin"
addpath "PATH" "${ELINOS_PREFIX}/bin"
addpath "INFOPATH" "${ELINOS_PREFIX}/info:${ELINOS_CDK}/info"
# if possible use manpath to preset MANPATH first
manpath=`which manpath`
if [ -n "$manpath" -a -x "$manpath" ]; then
    if [ -z "${MANPATH:-}" ]; then
        MANPATH="`$manpath 2>/dev/null`"
        export MANPATH
    fi
fi
addpath "MANPATH" "${ELINOS_PREFIX}/${ELINOS_ARCH}-target/${ELINOS_LIBC}/default/man"
addpath "MANPATH" "${ELINOS_CDK}/${ELINOS_BIN_PREFIX}/man"
addpath "MANPATH" "${ELINOS_CDK}/man"
addpath "MANPATH" "${ELINOS_PREFIX}/man"
unset manpath
unset addpath

echo "Setting up CDK ${ELINOS_CPU}_${ELINOS_ARCH} for $ELINOS_LIBC"
echo ""
echo "\$ELINOS_BOARD      = $ELINOS_BOARD"
echo "\$ELINOS_BIN_PREFIX = $ELINOS_BIN_PREFIX"
echo "\$ELINOS_PROJECT    = $ELINOS_PROJECT"
echo "\$CC                = $CC"
echo "\$CXX               = $CXX"
echo "\$AS                = $AS"
echo "\$GDB               = $GDB"

alias ddd='ddd --debugger $GDB'

echo
